Method: caseStageDefinitions.list

Full name: projects.locations.instances.caseStageDefinitions.list

Lists all CaseStageDefinitions available in the instance. Use this method to discover the possible stages a case can transition through.

HTTP request


GET https://chronicle.africa-south1.rep.googleapis.com/v1beta/{parent}/caseStageDefinitions

Path parameters

Parameters
parent

string

Required. The instance to list CaseStageDefinitions for. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of CaseStageDefinitions to return. The service may return fewer than this value. If unspecified, at most 50 CaseStageDefinitions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous caseStageDefinitions.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to caseStageDefinitions.list must match the call that provided the page token.

filter

string

Optional. A filter to apply to the list of CaseStageDefinitions. Supported filter fields: * displayName: Filter by the user-facing name. Example: filter="displayName='Triage'"

orderBy

string

Optional. Configures ordering of CaseStageDefinitions in the response. If not specified, CaseStageDefinitions are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. For example: "createTime desc, updateTime" Supported fields: * order * displayName

Request body

The request body must be empty.

Response body

Response message for caseStageDefinitions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "caseStageDefinitions": [
    {
      object (CaseStageDefinition)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
caseStageDefinitions[]

object (CaseStageDefinition)

The list of CaseStageDefinitions. Ordered by Id by default.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

The total number of CaseStageDefinitions includes filter without pagination.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.caseStageDefinitions.get

For more information, see the IAM documentation.